%global lang sw
%global langrelease 0
%global ftpurl https://ftp.gnu.org/gnu
Summary: Swahili dictionaries for Aspell
Name: aspell-%{lang}
Version: 0.50
Release: 2.%{langrelease}%{?dist}
License: LGPLv2
URL: http://aspell.net/
Source0: %{ftpurl}/aspell/dict/%{lang}/aspell-%{lang}-%{version}-%{langrelease}.tar.bz2
Source1: %{ftpurl}/aspell/dict/%{lang}/aspell-%{lang}-%{version}-%{langrelease}.tar.bz2.sig
Source2: %{ftpurl}/gnu-keyring.gpg 
BuildRequires: aspell >= 12:0.60
BuildRequires: gnupg2
BuildRequires: make
Requires: aspell >= 12:0.60

%global debug_package %{nil}

%description
Provides the word list/dictionaries for Swahili

%prep
%setup -q -n aspell-%{lang}-%{version}-%{langrelease}
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'

%build
#The configure macro does not work here as it sets
#extra fields not available in this configure script
./configure
%make_build

%install
%make_install

%files
%license Copyright COPYING
%{_libdir}/aspell-0.60/*

%changelog
* Tue Nov 01 2022 Benson Muite <benson_muite@emailplus.org> - 0.50-2
- Update to use macros based on review comments

* Mon Mar 16 2020 Benson Muite <benson_muite@emailplus.org> - 0.50-1
- Initial creation based on other spec files for Aspell 
dictionaries and packaging guidelines

